variables:
  REPORT_FILENAME: gl-sast-report.json
  MAX_IMAGE_SIZE_MB: 370
  MAX_SCAN_DURATION_SECONDS: 90
  SAST_EXCLUDED_ANALYZERS: "brakeman,eslint,semgrep"
  DS_EXCLUDED_PATHS: "spec, test, tests, tmp, plugin/fixtures"

include:
  - https://gitlab.com/gitlab-org/security-products/ci-templates/raw/master/includes-dev/analyzer.yml
  - project: 'gitlab-org/security-products/ci-templates'
    ref: 'master'
    file: '/includes-dev/upsert-git-tag.yml'

.qa-downstream-sast:
  variables:
    SAST_EXCLUDED_ANALYZERS: "eslint,nodejs-scan,semgrep"

integration-test:
  image:
    name: registry.gitlab.com/gitlab-org/security-products/analyzers/integration-test:stable
  services:
    - docker:20.10-dind
  variables:
    TMP_IMAGE: $CI_REGISTRY_IMAGE/tmp:$CI_COMMIT_SHA$IMAGE_TAG_SUFFIX
  script:
    - rspec -f d
